#!/bin/zsh

MATLABSRC=${HOME}/matlab/exflib-MATLAB-20180210-dev/@exfloat
OCTAVESRC=`pwd`

if [ -f exfloat.m ] ; then
	/bin/mv exfloat.m exfloat.m.bak
fi

cd ${MATLABSRC}
tar cf - . | (cd ${OCTAVESRC}; tar xf -)
cd ${OCTAVESRC}

for src in *.m ; do
	sed 's/exfloat.precision64/exfloat.precision64()/g' $src \
	| sed 's/exfloat.size64/exfloat.size64()/g' \
	| sed 's/ \& / \&\& /g' \
	| sed 's/ | / || /g' \
	> tmp
	/bin/mv tmp $src
done

% particular file
sed 's/transpose/ctranspose/g' transpose.m > ctranspose.m

if [ -f exfloat.m.bak ] ; then
	/bin/mv exfloat.m.bak exfloat.m
fi
